SAMConnection->commit
SAMConnection->__construct
SAM Functions
PHP Manual

# SAMConnection->connect

(No version information available, might be only in CVS)

SAMConnection->connect — Establishes a connection to a Messaging Server

### Description

SAMConnection
bool connect ( string `$protocol` [, array `$properties` ] )

Calling the "connect" method on a SAMConnection object connects the PHP script to a messaging server. No messages can be sent or received until a connection is made.

### Parameters

### Return Values

This method returns `FALSE` if an error occurs.

### Examples

Example #1 Creating a connection to a Messaging Server using the IBM MQSeries protocol (WMQ)

`<?php
$conn->connect(SAM_WMQ, array(SAM_HOST => 'Myhost.myco.com', SAM_PORT => 1506, SAM_BROKER => 'MyBroker'));
?>`

Example #2 Creating a connection with application transaction control and default host and port values

`<?php
$conn->connect(SAM_WMQ, array(SAM_BROKER => 'MyBroker', SAM_TRANSACTIONS => SAM_MANUAL));
?>`

Example #3 Creating a connection to a Messaging Server using the IBM WebSphere Platform Messaging protocol (WPM)

`<?php
$conn->connect(SAM_WPM, array(SAM_ENDPOINTS => 'localhost:7278:BootstrapBasicMessaging',
SAM_BUS => 'Bus1', SAM_TARGETCHAIN => 'InboundBasicMessaging'));
?>`

### See Also

- SAMConnection->isConnected
- SAMConnection->disconnect

SAMConnection->commit
SAMConnection->__construct
SAM Functions
PHP Manual